
I was having my second child in the labor ward. I was calm and my husband was there. I had to go for an emergency C-section. There was a lot of panic in the room as my baby was getting stressed. Everything that could have gone wrong did. There were head surgeons and consultants. They opened me up and after a while and I could feel my chest tightening like a vise. Everyone in the room was panicking. I had the head of surgeons at my head talking to me as I told him my chest was tightening. I was trying to answer his questions about the pain; the pain in my chest was unbearable.

Then I could see my father. I thought I must be really out of it as I can see my father, but then there was no pain and I didn't feel like I was being operated on, it was like I was just resting in the sun, my father walking quickly over and back behind the doctors but not looking at me. He was so vivid, like I could touch him. He looked 20 years younger and the peace was beautiful.

After 4 hours in surgery, I woke. I lost a lot of blood and my heart had stopped. I was weak and ill for a while but otherwise in good shape from giving birth to a beautiful boy. At first I felt ashamed telling people I saw my father, that they may think I was a bit crazy. But my family and closest friend believed me. If the conversation comes up, I will tell people now. I was ill for two years after and then I met someone who had greatly believed in what I said. I have a great belief now and I am at peace. The peace and calmness that has come with my experience is so reassuring. It's hard to explain the calmness that has come into my life.
